
Redmine - Feature #11357

OpenId provider selection

2012-07-10 09:52 - Michael So

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: OpenID Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

there is an existing plugin for redmine 1.X

http://www.redmine.org/plugins/openid-selector

i tried it with redmine 2 and it didn't work. error at the login page

however, its a useful feature and probably worth integrating into the new version of redmine system

History

#1 - 2012-07-10 10:06 - Etienne Massip

- Subject changed from openid url selector for redmine 2.0 to OpenId provider selection

- Priority changed from High to Normal

#2 - 2012-12-16 12:51 - Andrew Dahl

- File redmine-openid_dropdown-DrewDahl-11357.patch added

- File Chrome-OpenID_Dropdown.png added

- File Chrome-OpenID_Dropdown-2.png added

- File Chrome-OpenID_Dropdown-3.png added

The attached patch was created against Redmine 2.1.4.stable and tested using Chrome 23, Firefox 16, IE9, Ruby 1.9.3 (x86_64-linux), and Rails

3.2.8

The patch adds a drop down menu on the log-in page with links to 11 different OpenID providers, as well as keeping the existing functionality of

writing in your own.

In addition to the patch, I've attached a few screenshots.

It creates an additional table, open_id_providers, that contains the URL/Name information for the providers.  Ostensibly, this could be expanded to

allow administrators to add/remove providers from the list through the Admin menu.

Unrelated: In regard to the OP and his link to openid-selector... he's right, that no longer works with redmine 2.x -- I posted some very hacky changes

to it here => https://github.com/DrewDahl/redmine-openid-selector  (For the benefit of the OP and any future viewers of this ticket)

#3 - 2012-12-16 13:00 - Andrew Dahl

- File redmine-openid_dropdown-DrewDahl-11357-2.patch added

I realized after I posted that patch, it was a little messy as I had a file being created and removed because I had misnamed it.

I've cleaned it up a bit (attached). -- They're identical in what they do.  The second one is just easier to read. :-)

#4 - 2014-06-04 12:23 - Victor Sergienko

Obsoleted by https://github.com/twinslash/redmine_omniauth_google, I believe.

#5 - 2016-06-25 00:10 - Evgeniy Dushistov

It would be good for example restrict to only my own openid provider,

so I can have redmine, several web apps, and use openid for single login

via my own openid provider.
#6 - 2021-12-14 01:15 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

The OpenID support has been dropped by #35755 for the upcoming Redmine 5.0.0.

Files

redmine-openid_dropdown-DrewDahl-11357.patch 9.12 KB 2012-12-16 Andrew Dahl

Chrome-OpenID_Dropdown.png 13.9 KB 2012-12-16 Andrew Dahl

Chrome-OpenID_Dropdown-2.png 11.8 KB 2012-12-16 Andrew Dahl

Chrome-OpenID_Dropdown-3.png 7.49 KB 2012-12-16 Andrew Dahl

redmine-openid_dropdown-DrewDahl-11357-2.patch 6.33 KB 2012-12-16 Andrew Dahl
